<template>
    <div class="contents">
    </div>
</template>

<script>
import { APP_CONFIG } from '@/utils/constants';
import { get } from '@/utils/http';
import { setMeta } from '@/models/functionHelper';

export default {
  name: 'home',
  data () {
    return {
      config: {
        title: 'Trang Chủ',
        apiURLConnect: '/meta'
      },
      meta: {}
    }
  },
  methods: {
    async getMeta() {
      return await get(`${APP_CONFIG.apiUrl + this.config.apiURLConnect}`)
      .then((response) => {
        this.meta = response.data;
      })
      .catch(() => {
        console.error();
      })
    }
  },
  beforeMount() {
    this.getMeta()
  },
  metaInfo() {
    return setMeta(this.config.title, this.meta)
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
